﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.FAQDto>
@{
    ViewBag.Title = "FAQ";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">FAQ관리 / การจัดการคำถามที่พบบ่อย</h5>
                    </div>                    
                </div>
                <div class="col-md-12 col-lg-12 col-xl-12">
                    <div class="xp-alert mt-3">
                        <div class="alert alert-light" role="alert">
                            <p>
                                1. FAQ는 무제한으로 등록할 수 있습니다
                            </p>
                            <p>
                                2. <span class="text-danger-gradient">FAQ추가</span>를 눌러 FAQ Master를 생성합니다. (하나의 FAQ 타이틀 생성 : 자주하시는 질문, 이용안내..등 )
                            </p>
                            <p>
                                3. 생성한 FAQ Master 의 <span class="text-danger-gradient">제목</span>을 눌러 세부 내용을 관리할 수 있습니다.
                            </p>
                        </div>
                    </div>
                </div>
                <div class="card-body" style="margin-top:-20px;">
                    <div class="align-middle">
                        <span class="badge badge-primary badge-pill">전체 FAQ @ViewBag.Count 건</span>
                        <div class="float-right">
                            <button type="button" style="margin-top:-10px;" class="btn btn-rounded btn-success" onclick="location.href='@Url.Action("Create", "FAQ")'"><i class="icon-plus mr-2"></i> Insert</button>
                        </div>
                    </div>                    
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th style="width:80px;" class="align-middle">아이디 / ID</th>
                                    <th class="align-middle">제목 / หัวข้อ</th>
                                    <th style="width:50px;" class="align-middle">FAQ수 / จำนวนคำถาม</th>
                                    <th style="width:50px;" class="align-middle">순서 / ใบสั่ง</th>
                                    <th style="width:160px;" class="align-middle">관리</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.Count() != 0)
                                {
                                    foreach (var item in Model)
                                    {
                                        <tr class="text-center">
                                            <td scope="col" class="align-middle"> @Html.DisplayFor(modelItem => item.id)</td>
                                            <td scope="col" class="align-middle"> @Html.DisplayFor(modelItem => item.name)</td>
                                            <td scope="col" class="align-middle"> 0</td>
                                            <td scope="col" class="align-middle"> @Html.DisplayFor(modelItem => item.faq_order)</td>
                                            <td scope="col" class="align-middle">
                                                <div class="justify-content-center row">
                                                    @using (Html.BeginForm("Edit", "FAQ", new { id = item.id }, FormMethod.Get))
                                                    {
                                                        <button type="submit" class="btn btn-round btn-primary" style="float: none; margin: 5px;" title="삭제">
                                                            <span class="icon-note"></span>
                                                        </button>
                                                    }
                                                    @using (Html.BeginForm("Detail", "FAQ", new { id = item.id }, FormMethod.Get))
                                                    {

                                                        <button type="submit" class="btn btn-round btn-warning" style="float: none; margin: 5px;" title="보기">
                                                            <span class="icon-screen-desktop"></span>
                                                        </button>
                                                    }

                                                    @using (Html.BeginForm("Delete", "FAQ", new { id = item.id }, FormMethod.Post))
                                                    {
                                                        <button type="submit" class="btn btn-round btn-danger" style="float: none; margin: 5px;" title="삭제">
                                                            <span class="icon-trash"></span>
                                                        </button>
                                                    }
                                                </div>
                                            </td>
                                        </tr>
                                    }
                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="5">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                        <div class="justify-content-center row">
                            @Html.PagedListPager(Model, Page => Url.Action("Index", "FAQ", new { Page }))
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- End XP Col -->
    </div>
</div>

<script>
    $("#liBoard").addClass("active");
    $("#meFAQ").addClass("active");
</script>